package com.mamezou.remote;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class CustomerServiceImpl implements CustomerService {

    private Map<String, Customer> customers;

    public CustomerServiceImpl() {
        super();
        this.customers = new HashMap<String, Customer>();
    }

    public Customer getCustomer(String name) {
        return customers.get(name);
    }

    public List<Customer> getCustomers() {
        List<Customer> lst = new ArrayList<Customer>();
        for(Customer customer:customers.values()){
            lst.add(customer);
        }
        return lst;
    }

    public void regist(Customer newCustomer) {
        customers.put(newCustomer.getName(), newCustomer);
    }

}
