package com.mamezou.remote.jaxrpc.axis;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.mamezou.remote.Customer;
import com.mamezou.remote.CustomerService;

public class AxisCustomerSerivceMain {
    
    public static void main(String[] args) {
        try {
            ApplicationContext context = new ClassPathXmlApplicationContext("com/mamezou/remote/jaxrpc/axis/axis_applicationContext.xml");
            
            CustomerService service = (CustomerService) context.getBean("customerServiceClient");
            service.regist(new Customer("Taro","taro@example.com"));
            service.regist(new Customer("Jiro","jiro@example.com"));
            
            Customer customer = service.getCustomer("Taro");
            System.out.println(customer);
            customer = service.getCustomer("Jiro");
            System.out.println(customer);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}