package com.mamezou.remote.jaxrpc.axis;

import java.util.List;

import org.springframework.remoting.jaxrpc.ServletEndpointSupport;

import com.mamezou.remote.Customer;
import com.mamezou.remote.CustomerService;

public class CustomerServiceEndpoint extends ServletEndpointSupport implements CustomerService {
    
    private CustomerService service;
	
    protected void onInit() {
        this.service = (CustomerService) getWebApplicationContext().getBean("customerService");
    }

    public Customer getCustomer(String name) {
        return service.getCustomer(name);
    }

    public List<Customer> getCustomers() {
        return service.getCustomers();
    }

    public void regist(Customer newCustomer) {
        service.regist(newCustomer);
    }

   
  
}