package com.mamezou.remote.rmi.nativermi;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.List;

import com.mamezou.remote.Customer;

public interface RmiCustomerService extends Remote{

    void regist(Customer newCustomer) throws RemoteException;
    
    Customer getCustomer(String name) throws RemoteException;
    
    List<Customer> getCustomers() throws RemoteException;
}
