package com.mamezou.remote.rmi.nativermi;

import java.rmi.Naming;

import com.mamezou.remote.Customer;


public class RmiCustomerServiceClient {

    public static void main(String[] args) {
        try {
            RmiCustomerService service = (RmiCustomerService)Naming.lookup("customerService");

            service.regist(new Customer("Taro","taro@example.com"));
            service.regist(new Customer("Jiro","jiro@example.com"));
            
            for(Customer customer : service.getCustomers()){
                System.out.println(customer);
            }
            
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}